Package ru.bitel.bgbilling.modules.email.server.bean

# Class DefaultLDAPDriver

java.lang.Object
ru.bitel.bgbilling.modules.email.server.bean.DefaultLDAPDriver

All Implemented Interfaces:
  `LDAPDriver`

Direct Known Subclasses:
  `EximLDAPDriver`

    public abstract class DefaultLDAPDriver
    extends java.lang.Object
    implements LDAPDriver

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected Domain` | `domain` |
  `protected ParameterMap` | `params` |

  ### Fields inherited from interface ru.bitel.bgbilling.modules.email.server.bean.LDAPDriver

  `STATUS_ACCOUNT_USED, STATUS_ADD_ERROR, STATUS_CONNECT_ERROR, STATUS_DELETE_ERROR, STATUS_OK, STATUS_UPDATE_ERROR`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DefaultLDAPDriver()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `addAccount​(Account mailAccount)` |
  `protected void` | `closeConnection​(com.novell.ldap.LDAPConnection con)` |
  `int` | `deleteAccount​(Account mailAccount)` |
  `protected abstract com.novell.ldap.LDAPAttributeSet` | `getAccountAttributeSet​(Account account)` |
  `protected abstract java.lang.String` | `getAccountDN​(Account account)` |
  `protected com.novell.ldap.LDAPConnection` | `getConnection()` |
  `void` | `init​(Domain domain, ParameterMap params)` |
  `int` | `updateAccount​(Account mailAccount)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### domain

    protected Domain domain

  - ### params

    protected ParameterMap params

- ## Constructor Details

  - ### DefaultLDAPDriver

    public DefaultLDAPDriver()

- ## Method Details

  - ### init

    public void init​(Domain domain, ParameterMap params)
    Specified by:
      `init` in interface `LDAPDriver`

  - ### getConnection

    protected com.novell.ldap.LDAPConnection getConnection()

  - ### closeConnection

    protected void closeConnection​(com.novell.ldap.LDAPConnection con)

  - ### deleteAccount

    public int deleteAccount​(Account mailAccount)
    Specified by:
      `deleteAccount` in interface `LDAPDriver`

  - ### addAccount

    public int addAccount​(Account mailAccount)
    Specified by:
      `addAccount` in interface `LDAPDriver`

  - ### updateAccount

    public int updateAccount​(Account mailAccount)
    Specified by:
      `updateAccount` in interface `LDAPDriver`

  - ### getAccountDN

    protected abstract java.lang.String getAccountDN​(Account account)

  - ### getAccountAttributeSet

    protected abstract com.novell.ldap.LDAPAttributeSet getAccountAttributeSet​(Account account)